function OnWarpEnter() 
	--SetMarker("cs\\Warp_0073.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0070.wp" , 0 , 0) 	
	--bougies
	AnimationSetToStart("exc1")

--DAY4 
	if ETAT_DAY == "D4" then 
		SetMarker("cs\\Warp_0073.wp" , 0 , 0) 
	end

--DAY5 
	if ETAT_DAY == "D5" then 
		SetMarker("cs\\Warp_0073.wp" , 0 , 0) 
	end 
end


function OnAnimationFinished(objectName)
end


function OnDialogFinished(dialogName)
end


function AskSeparation()

	 if Ph_Key_051 and O_SmallPacket_058 then
		PushAnswer("Ce2258")
	end
	if not BeenIn_062 then
		PushAnswer("Ce2546")
	end
	PushAnswer("3411")
	
end


function OnAnswered(dialogName)
end


function OnWarpLeave()
end


function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0073.wp" then
--		if ETAT_DAY == "D3" or ETAT_DAY == "D4" or ETAT_DAY == "D5" then
--			if DEAD_GUARD_PASSAGE_0072_D3 and not  TALKED_TO_JEAN_0072 then
--				DrawText("Ma2514","Ma2514.ogg",0) -- Ce n'est pas le moment. Je dois m'occuper du garde.
--			elseif not  then
--			else
		if ETAT_DAY == "D4" or ETAT_DAY == "D5" then
			ChangeWarp(objectName)
		elseif ETAT_DAY == "D3" and DEAD_GUARD_PASSAGE_0072_D3 and TALKED_TO_JEAN_0072 then
			ChangeWarp(objectName)
		elseif DEAD_GUARD_PASSAGE_0072_D3 and not  TALKED_TO_JEAN_0072 then
				DrawText("Ma2514","Ma2514.ogg",0) -- Ce n'est pas le moment. Je dois m'occuper du garde.
		end
	end

	if objectName == "3D\\cs\\Warp_0070.wp" then 
		if DEAD_GUARD_PASSAGE_0072_D3 and not  TALKED_TO_JEAN_0072 then
			DrawText("Ma2514","Ma2514.ogg",0)
		else
			ChangeWarp(objectName)
		end
	end

--DAY4
	if ETAT_DAY == "D4" then 

	end 

--DAY5
	if ETAT_DAY == "D5" then 

	end 
end
